Skip to content
Fulfillment & ShippingTracking

Get public order tracking

Returns the public shipping status for a tracking number issued by this store.

GET/v1/tracking/{trackingNumber}
No token

Path Parameters

trackingNumber*string

Header Parameters

x-Store-Domain*string

Slug of the store or one of its configured domains, such as my-store.

Length1 <= length <= 253

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://storefront.ecomiq.pe/v1/tracking/PE1234567890" \  -H "x-Store-Domain: my-store"
{  "trackingNumber": "PE1234567890",  "carrierName": "Courier Lima",  "trackingLink": "https://tracking.example.com/PE1234567890",  "status": "active",  "delivered": false,  "events": [    {      "group": "Envío estándar",      "name": "Envío estándar",      "description": "Polo de algodón pima para uso diario.",      "date": "Envío estándar",      "images": [        "Envío estándar"      ]    }  ],  "message": "Entregar después de las 18:00."}